;--------------------OGOLNIE--------------------
car
{
	name=Volkswagen Caddy Mk I 1.8  (Pickup)
	year=1990(vmax:155 km/h;0-100:16s.)
	credits=Converted by Fabikan75; Model By AsconaManta205.
	comments=Dis:1781cc;Pow:95 KM (70 kW) @ 5200 rpm;Tor: 139 @ 3000           rpm. 
	id=volkswagen_t3_td
	version=0655
	wheels=4
	ff_factor=0.25
	skid
	{

		sample=Skid.wav
	}
	shadow
	{
		texture=shadow.tga
		width=0.00001
		length=0.000001
	}
	cg
	{
		x=0	
		y=-0.6	
		z=0.2		
	}
}
graphics
{
	intensity=0.3
	
}
;--------------------NADWOZIE--------------------
body
{
	mass=1080
	inertia
	{
		x=4000
		y=4500
		z=1200
	}
	width=1.640
        height=1.430
	length=4.380
	manual_box=0
	model
	{
		file=body.dof
	}
	model_incar
	{
		file=t3.dof
	}
	model_light_l
	{
		file=lights.dof
	}
	model_braking_l
	{
		file=stop.dof
	}
}
;--------------------KIEROWNICA--------------------
steer
{
	x=0.3558
	y=-0.0138
	z=0.682
	radius=10
	xa=45
	lock=900
        linearity=0.2 
	model
	{
		file=volante.dof
	}
}
;--------------------SILNIK--------------------
engine
{
	size=0
  	mass=0
        idle_rpm=700
  	max_rpm=6500
        curve_torque=torque.crv
  	max_torque=139.3
  	torque_reaction=1
        starter=1
  	starter_torque=100
  	start_stalled=1
        stall_rpm=400
  	start_rpm=550
  	autoclutch_rpm=900
        shifting
  	{
    		automatic=0
		fast=0
                shift_up_rpm=3900
    		shift_down_rpm=1200
                time_to_declutch=200
    		time_in_neutral=240
    		time_to_clutch=180
                time_to_declutch_down=150
    		time_in_neutral_down=80
    		time_to_clutch_down=120
  	}
  	inertia
  	{
    	  engine=0.39
          final_drive=2.93
  	}
  	braking_coeff=2.55
}
;--------------------SKRZYNIA BIEGOW--------------------
gearbox
{
	gears=5
	gear0
	{
		ratio=-3.6
		inertia=0.40
	}
	gear1
	{
		ratio=3.8	
		inertia=0.25
	}
	gear2
	{
		ratio=2.1		
		inertia=0.15
	}
	gear3
	{
		ratio=1.3		
		inertia=0.06
	}
	gear4
	{
		ratio=0.983	
		inertia=0.06
	}
}
;--------------------TYLNY MOST--------------------
differential
{
  type=1
  ratio=4.5
  inertia=0.2
  locking_coeff=0
  output0=0
  output1=1
}
;--------------------SPRZEGLO--------------------
clutch
{
  max_torque=220
}
;--------------------HAMULEC RECZNY--------------------
handbrakes
{
  wheels=23
}
;--------------------AERODYNAMIKA--------------------
aero
{
	body
	{
		center=0 0.23 0
                cx=0.2
                area=2.95
	}
	wings=0
}
;--------------------ZAWIESZENIE--------------------
antirollbar
{
	count=2
	arb0
	{
		susp_left=0
		susp_right=1
		k=14000
	}
	arb1
	{
		susp_left=2
		susp_right=3
		k=8000
	}
}
susp_front
{
	y=-0.05
	z=1.45
	restlen=0.58
  	minlen=-0.50
  	maxlen=1.50
  	k=39000
  	bump_rate=6000
  	rebound_rate=6000
  	anti_pitch=0.15
  	roll_center
	{
		x=0
		y=-1.2
		z=0
	}
}
susp_rear
{
	y=0.03
        z=-1.24
	restlen=0.65
  	minlen=-0.50
  	maxlen=1.50
  	k=27000
  	bump_rate=4800
  	rebound_rate=4500
  	anti_pitch=0.15
  	roll_center
	{
		x=0
		y=-0.9
		z=0
	}
}
susp0~susp_front
{
	x=0.65
}
susp1~susp_front
{
	x=-0.65
}
susp2~susp_rear
{
	x=0.65
}
susp3~susp_rear
{
	x=-0.65
}
;--------------------OPONY--------------------
tire_model_front
{
damping_predict_lat=0.572
damping_predict_long=0.023
}
tire_model_rear
{
damping_predict_lat=0.560
damping_predict_long=0.022
}
pacejka
{
   ; Lateral force
   a0=1.6
   a1=-20
   a2=1320
   a3=2100
   a4=20
   a5=0.014
   a6=-0.24
   a7=1.0
   a8=-0.03
   a9=-0.0013
   a10=-0.15
   a111=-4
   a112=-0.29
   a12=17.8
   a13=-2.4
   ; Longitudinal force
   b0=1.5
   b1=-40
   b2=1410
   b3=23.3
   b4=250
   b5=0.05
   b6=0
   b7=0.055
   b8=-0.024
   b9=0.014
   b10=0.26
   b11=-103.71
   b12=0
   ; Aligning moment
   c0=2.2
   c1=-3.9
   c2=-3.9
   c3=-1.26
   c4=-8.2
   c5=0.025
   c6=0
   c7=0.044
   c8=-0.58
   c9=0.18
   c10=0.043
   c11=0.048
   c12=-0.0035
   c13=-0.18
   c14=0.14
   c15=-1.029
   c16=0.27
   c17=-1.1
   optimal_slipratio=0.11
   optimal_slipangle=0.157
}
skidding_default
{
	long_start=0.1
	long_max=1.0
	long_start_n=0.1
	long_max_n=1.0
	lat_start=0.3
	lat_max=1.0
}
wheel_front
{
	x=0
	y=0
	z=0
	steering=1
	powered=1
	camber=-0.65
	lock=61
	mass=55
	inertia=1.1
	radius=0.29
	rolling_coeff=0.0175
	max_braking=2000
	braking_factor=0.75
	max_handbrake_torque=0
	tire_rate=150000
	pacejka~pacejka
	
}
wheel_rear
{
	x=0
	y=0
	z=0
	steering=0
	powered=0
	camber=-0.55
	mass=65
	inertia=1.2
	radius=0.29
	rolling_coeff=0.0175
	max_braking=2000
	braking_factor=0.25
	max_handbrake_torque=3500
	tire_rate=150000
	pacejka~pacejka
	
}
wheel0~wheel_front
{
	toe=-.15
	ackerman=1.2
	model
	{
		file=left.dof
	}
}
wheel1~wheel_front
{
	toe=.15
	ackerman=-1.2
	model
	{
		file=right.dof
	}
}
wheel2~wheel_rear
{
	toe=-.0
	model
	{
		file=left.dof
	}
}
wheel3~wheel_rear
{
	toe=.0
	model
	{
		file=right.dof
	}
}
;--------------------KAMERY--------------------
camera0
{
  name=Driver
  fov=60
  model=0
  wheels=0
  view=1
  offset
  {
    x=0.34
    y=0.3
    z=0.17
  }
  offset_to
  {

    x=0.43
    y=-0.5
    z=10
  }
  src
  {
    mass=1
    k=250
    damping=25
    maxdist=0.3
  }
  dst
  {
    mass=0
    k=0
    damping=0
    maxdist=0
  }
}
camera1
{
  name=Driver, left
  fov=60
  model=0
  wheels=0
  view=1
  offset
  {
    x=0.34
    y=0.3
    z=0.17
  }
  offset_to
  {
    x=10.43
    y=0.5
    z=10
  }
  src
  {
    mass=1
    k=250
    damping=25
    maxdist=0.3
  }
  dst
  {
    mass=0
    k=0
    damping=0
    maxdist=0
  }
}
camera2
{
  name=Driver, right
  fov=60
  model=0
  wheels=0
  view=1
  offset
  {
    x=0.34
    y=0.3
    z=0.17
  }
  offset_to
  {
    x=-9.57
    y=0.5
    z=10
  }
  src
  {
    mass=1
    k=250
    damping=25
    maxdist=0.3
  }
  dst
  {
    mass=0
    k=0
    damping=0
    maxdist=0
  }
}
camera3
{
  name=Driver
  fov=60
  model=0
  wheels=0
  view=1
  offset
  {
    x=-0.34
    y=0.3
    z=0.17
  }
  offset_to
  {

    x=0.43
    y=-0.5
    z=10
  }
  src
  {
    mass=1
    k=250
    damping=25
    maxdist=0.3
  }
  dst
  {
    mass=0
    k=0
    damping=0
    maxdist=0
  }
}
camera4
{
  name=Chase
  fov=60
  model=0
  wheels=0
  view=0
  offset
  {
    x=0
    y=-0.5
    z=-7
  }
  follow
  {
    pitch=0
    yaw=1
    roll=0
  }
  angle
  {
    x=15
    y=180
    z=0
  }
}
camera5
{
  name=Chase rear
  fov=60
  model=0
  wheels=0
  view=0
  offset
  {
    x=0
    y=-0.5
    z=-7
  }
  follow
  {
    pitch=0
    yaw=1
    roll=0
  }
  angle
  {
    x=15
    y=0
    z=0
  }
}
camera6
{
  name=Free exterior
  fov=60
  model=0
  wheels=0
  view=0
  offset
  {
    x=0
    y=-0.5
    z=-7
  }
  follow

  {
    pitch=0
    yaw=0
    roll=0
  }
  angle
  {
    x=10
    y=180
    z=0
  }
}
camera7
{
	name=Side
	fov=60
	model=0
	wheels=0
	view=0
	offset
	{
		x=1.267185
		y=0.129164
		z=-2.6
	}

	angle
	{
		x=1.361085
		y=-165.972626
		z=1.298599
	}
	follow
	{
		pitch=0
		yaw=1
		roll=1
	}

}
camera8
{
  offset
  {
    x=0.0
    y=1.4
    z=-4
  }
  angle
  {
    x=0.000000
    y=130.000000
    z=0.000000
  }
  name=Chase Close
  follow
  {
    pitch=0
    yaw=0
    roll=0
  }
  fov=75
  model=0
  wheels=0
  view=0
  src
  {
    mass=6
    k=250
    damping=90
    maxdist=2
  }
  dst
  {
    mass=1
    k=100
    damping=70
    maxdist=2
  }
}
camera9
{
  name=Chase rear
  fov=60
  model=0
  wheels=0
  view=0
  offset
  {
    x=0
    y=-0.6
    z=0.4
  }
  follow
  {
    pitch=0
    yaw=1
    roll=0
  }
  angle
  {
    x=15
    y=0
    z=0
  }
}
;--------------------DZWIEK--------------------
audio
{
  acc_all
  {
    attack=1000
    decay=1000
  }
  accelerate_in
  {
    volume=0.7
    smp0~audio.acc_all
    {
      sample=vwr4petroloncarburetor/Beetle_idle_in.wav
      min=350
      max=650
      natural=550
    volume=2
    }
    smp1~audio.acc_all
    {
      sample=vwr4petroloncarburetor/Beetle_onlow_in.wav
      min=800
      max=3850
      natural=1925
    volume=1.5
    }
    smp2~audio.acc_all
    {
      sample=vwr4petroloncarburetor/Beetle_onmid_in.wav
      min=1575
      max=7550
      natural=2975
    volume=1.5
    }
    smp3~audio.acc_all
    {
      sample=vwr4petroloncarburetor/Beetle_offhigh_in.wav
      min=3500
      max=9500
      natural=3000
    volume=0.1
    }
    smp4~audio.acc_all
    {
      sample=vwr4petroloncarburetor/Beetle_onhigh_in.wav
      min=5500
      max=9500
      natural=3950
    volume=1.5
    }
  }
  decelerate_in
  {
    volume=0.7
    smp0~audio.acc_all
    {
      sample=vwr4petroloncarburetor/Beetle_idle_in.wav
      min=350
      max=650
      natural=550
    volume=2
    }
    smp1~audio.acc_all
    {
      sample=vwr4petroloncarburetor/Beetle_offlow_in.wav
      min=800
      max=3250
      natural=1125
    volume=0.8
    }
    smp2~audio.acc_all
    {
      sample=vwr4petroloncarburetor/Beetle_offmid_in.wav
      min=2275
      max=7550
      natural=2275
    volume=0.8
    }
    smp3~audio.acc_all
    {
      sample=vwr4petroloncarburetor/Beetle_offhigh_in.wav
      min=5500
      max=9500
      natural=2700
    volume=0.8
    }
    smp4~audio.acc_all
    {
      sample=vwr4petroloncarburetor/Beetle_onhigh_in.wav
      min=1500
      max=9500
      natural=3950
    volume=1
    }
  }
  accelerate_out
  {
    volume=1.3
    smp0~audio.acc_all
    {
      sample=vwr4petroloncarburetor/Beetle_onidle_ex.wav
      min=350
      max=650
      natural=550
    volume=2
    }
    smp1~audio.acc_all
    {
      sample=vwr4petroloncarburetor/Beetle_onlow_ex.wav
      min=800
      max=3850
      natural=1925
    volume=2
    }
    smp2~audio.acc_all
    {
      sample=vwr4petroloncarburetor/Beetle_onmid_ex.wav
      min=1575
      max=7550
      natural=2975
    volume=2
    }
    smp3~audio.acc_all
    {
      sample=vwr4petroloncarburetor/Beetle_offhigh_ex.wav
      min=3500
      max=9500
      natural=3000
    volume=0.2
    }
    smp4~audio.acc_all
    {
      sample=vwr4petroloncarburetor/Beetle_onhigh_ex.wav
      min=5500
      max=9500
      natural=3950
    volume=2
    }
  }
  decelerate_out
  {
    volume=1.2
    smp0~audio.acc_all
    {
      sample=vwr4petroloncarburetor/Beetle_offidle_ex.wav
      min=350
      max=650
      natural=550
    volume=2
    }
    smp1~audio.acc_all
    {
      sample=vwr4petroloncarburetor/Beetle_offlow_ex.wav
      min=800
      max=3250
      natural=1125
    volume=1
    }
    smp2~audio.acc_all
    {
      sample=vwr4petroloncarburetor/Beetle_offmid_ex.wav
      min=2275
      max=7550
      natural=2275
    volume=1
    }
    smp3~audio.acc_all
    {
      sample=vwr4petroloncarburetor/Beetle_offhigh_ex.wav
      min=5500
      max=9500
      natural=2700
    volume=1
    }
    smp4~audio.acc_all
    {
      sample=vwr4petroloncarburetor/Beetle_onhigh_ex.wav
      min=1500
      max=9500
      natural=3950
    volume=1.2
    }
  }
  wind
	{
		volume=2
		pitch_scale=0
		pitch_offset=50
		smp0
		{
			sample=wind1.wav
			min=25
			max=26
			attack=33
			decay=33
			natural=80
		}
		smp1
		{
			sample=wind2.wav
			min=50
			max=51
			attack=33
			decay=33
			natural=80
		}
		smp2
		{
			sample=wind3.wav
			min=75
			max=76
			attack=33
			decay=33
			natural=80
		}
	}
}